Query all pickup information
GET https://{handle}.myshopline.com/admin/openapi/v20261201/pickup/list.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get all Pickup info
Query Parameters
- language stringLanguage
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
pickup_listobject[]
Pick up list at storepickup_infoobject
Pick up configuration to storepickup_seq stringPick up configuration encodingExample:5664940910825704903store_id stringstore IDExample:1635143945022support booleanSupport pick up in store or notupdate_at stringUpdate timeExample:2019-12-18T06:06:24.942Zappointment_end integerAppointment pickup time zone termination value , unit : minutesappointment_start integerAppointment pickup time zone starting value , unit : minutescreate_at stringCreation timeExample:2019-12-18T06:06:24.942Zlocation_seq stringLocation codeExample:5663810070280414164location_addressobject
Location informationactive booleanAddress status 0- deactivation 1- enabletown stringStreet town nameExample:New pond towncountry stringNational nameExample:Chinaprovince_code stringState provinceExample:440000update_at stringUpdate timeExample:2019-12-18T06:06:24.942Zdistrict stringDistrictExample:Upper-classcity stringCity nameExample:Guangzhoulocation_seq stringLocation representationExample:5663810070280414164city_code stringCity codeExample:440100priority integerAddress priorityExample:1phone stringPhone numberExample:18345678909district_code stringDistrict county codeExample:440111address2 stringDetailed address 2Example:Zhihuiyuan b ;location_name stringLocation nameExample:Upper shopzip stringPostal codeExample:23423address1 stringDetailed addressExample:93 yuangang road in the open city of the ihan districtcreate_at stringCreation timeExample:2019-12-18T06:06:24.942Zprovince stringState province nameExample:Guangdongcountry_code stringCountry codeExample:CNtown_code stringStreet townExample:345455
API Explorer
Debugger
Was this article helpful to you?